#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 jose
version:              0.8.4
visibility:           public
id:                   jose-0.8.4-10uhWpt0u5tLU1BbtUyAdU
key:                  jose-0.8.4-10uhWpt0u5tLU1BbtUyAdU
license:              Apache-2.0
copyright:            Copyright (C) 2013-2018  Fraser Tweedale
maintainer:           frase@frase.id.au
author:               Fraser Tweedale
homepage:             https://github.com/frasertweedale/hs-jose
synopsis:
    Javascript Object Signing and Encryption and JSON Web Token library

description:

    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.

    The JSON Web Signature (JWS; RFC 7515) implementation is complete.

    EdDSA signatures (RFC 8037) are supported (Ed25519 only).

    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).

    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.

    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.

category:             Cryptography
abi:                  fffc9122e332c4990e7a268cb9ad7c18
exposed:              True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT

hidden-modules:
    Crypto.JOSE.TH Crypto.JOSE.Types.Internal Crypto.JOSE.Types.Orphans

import-dirs:          /usr/lib/ghc-8.10.4/site-local/jose-0.8.4
library-dirs:         /usr/lib/ghc-8.10.4/site-local/jose-0.8.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/jose-0.8.4
hs-libraries:         HSjose-0.8.4-10uhWpt0u5tLU1BbtUyAdU
depends:
    QuickCheck-2.14.2-B3SpcCr1SmL9PPAdD2zfoz
    aeson-1.5.6.0-BIFpuHkbQVS39OdTk4tssD
    attoparsec-0.13.2.5-42NoP5BCGRFJ4GYMZ00Tuc base-4.14.1.0
    base64-bytestring-1.2.0.1-4q4x66DtE9OIq18oupK9XX
    bytestring-0.10.12.0 concise-0.1.0.1-Cp8JB35G7QsDauGQdFROC4
    containers-0.6.2.1 cryptonite-0.28-7oGRnJmd4zY6vzgjONN8bS
    lens-4.19.2-4TfEmFMW5Aw1QP7zco8VPJ
    memory-0.15.0-E8yvrlcxsw5JtBytoHmuPe
    monad-time-0.3.1.0-3d4yAlPjz8P33AmXrmtMWL mtl-2.2.2
    network-uri-2.6.4.1-AEsPkx1atAWL38NSwmGQA
    quickcheck-instances-0.3.25.2-47HryZyvCLvDjbWSz1ZTz9
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b template-haskell-2.16.0.0
    text-1.2.4.1 time-1.9.3
    unordered-containers-0.2.13.0-ErSm5VmLPZO1Uv8XbIT7aF
    vector-0.12.2.0-9ghFEkRtlc7GgUycjrAVH9
    x509-1.7.5-71NPzcNHDwi1KH0TAveUYP

haddock-interfaces:   /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html:         /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

